@import '../bemobile_theme.scss';
@import '../../node_modules/@angular/material/theming';
@import "../styles.scss";
//@include angular-material-theme($bemobile-theme);

$primary: map_get($bemobile-theme, primary);
$accent: map_get($bemobile-theme, accent);

.InlineBlock {
  display: inline-block;
}

.sidenav {
  position: absolute;
  top: 64px;
  bottom: 0;
  left: 0;
  right: 0;
}

.mat-sidenav
{
  min-width: 175px;
}
.mat-drawer
{
  background-color: mat-color($accent);
}

.mat-raised-button,
.mat-button {
  margin: 10px;
}

.toolbar {
  position: absolute;
  z-index: 10;
  box-shadow: 0 2px 10px 0 grey;
}

.fill-space {
  flex: 1 1 auto;
}

.sidebar {
  background-color: mat-color($mat-grey, 100);
  box-shadow: rgba(0, 0, 0, 0.1) 6px 0 6px;
}

.sidebar a
{
  text-align: left;
}

.mat-toolbar
{
  left: 0;
  top: 0;
}

.BackgroundAccent{
  background-color: mat-color($accent);
  color: white;
}

.MenuItems
{
  padding-top: 0;
}

.MenuItems .mat-list-item
{
  color: whitesmoke;
}

.MenuItems .mat-list-item a
{
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 5px 0 0 20px;
}

.MenuItems .mat-list-item div.mat-list-item-content
{
  padding: 0;
}

.RouterLinkActive
{
  background-color: #1b1b1b;
}
